import { ChangeEvent } from "react";
import "./TextInput.component.scss";
interface TextInputProps {
    classes?: string;
    containerClasses?: string;
    onBlur?: (event: ChangeEvent<HTMLInputElement>) => void;
    onChange: (event: ChangeEvent<HTMLInputElement>) => void;
    onFocus?: (event: ChangeEvent<HTMLInputElement>) => void;
    placeholder?: string;
    type?: string;
}
declare const TextInput: (props: TextInputProps) => JSX.Element;
export default TextInput;
