"use strict";
const jsxRuntime = require("./jsx-runtime-ec586afa.cjs");
const require$$0 = require("react");
require("./AlphabetFilter.component-c8e95031.cjs");
const CategoryFilter = require("./CategoryFilter.js");
const AlphabetFilter = require("./AlphabetFilter.js");
require("./Users.component-2df569a6.cjs");
require("./Toast.component-05b43768.cjs");
require("./Testimonials.component-59a34c7c.cjs");
require("./Team.component-dbfbef72.cjs");
require("./Steps.component-c289f782.cjs");
require("./Stats.component-e2e0309a.cjs");
require("./Snackbar.component-c65a0fcb.cjs");
require("./SignInUp.component-def4d17d.cjs");
require("./Services.component-815a7709.cjs");
const helper = require("./helper-c4fbda62.cjs");
require("./RichText.component-b5f5c1d7.cjs");
require("./Reviews.component-0e898f83.cjs");
require("./Projects.component-60383f3e.cjs");
require("./ProductInfo.component-a918aa46.cjs");
require("./Pricing.component-06fc1798.cjs");
require("./Portfolio.component-fa26a907.cjs");
require("./Notifications.component-aef2c763.cjs");
require("./Newsletter.component-7db05a14.cjs");
require("./LogoClouds.component-41dea52a.cjs");
require("./Integrations.component-3856a44f.cjs");
require("./InstaPhotos.component-84a2aaef.cjs");
require("./HowItWorks.component-3059cbbf.cjs");
require("./Hero.component-19300fa6.cjs");
require("./HttpCode.component-3a95e62d.cjs");
require("./Graph.component-93c64f77.cjs");
require("./GraphTiles.component-87965f2c.cjs");
require("./Gallery.component-f11e0a8c.cjs");
require("./Form.component-578544a5.cjs");
require("./Footer.component-4be9ebc1.cjs");
require("./Features.component-bd0480fa.cjs");
require("./Faq.component-50630a66.cjs");
require("./Empty.component-105a7c7d.cjs");
require("./EcommProducts.component-e157e334.cjs");
require("./EcommOrders.component-5c65ef9f.cjs");
require("./Download.component-a8a3a1e8.cjs");
require("./Dashboard.component-f7bf9026.cjs");
require("./Cookies.component-04b11514.cjs");
require("./Content.component-9e1673a6.cjs");
require("./Contact.component-db87cf01.cjs");
require("./Careers.component-a12c6724.cjs");
require("./Card.component-ff2ab67d.cjs");
require("./Cta.component-e8a1b5d9.cjs");
require("./Breadcrumbs.component-4f9beea4.cjs");
require("./Brands.component-0824e0e9.cjs");
require("./Blog.component-e6f2bc76.cjs");
require("./Benefits.component-fdd97e2f.cjs");
require("./Banner.component-30b783b1.cjs");
require("./Application.component-d2098606.cjs");
require("./AboutUs.component-890f3a1c.cjs");
require("./SelectionPill-fb43a034.cjs");
const DropDown = (props) => {
  const { context, id, label, onSelectionChanged, options } = props;
  const [value, setValue] = require$$0.useState();
  const onLocalChange = (e) => {
    setValue(e.target.value);
    onSelectionChanged && onSelectionChanged(
      {
        value: e.target.value,
        data: options.find(
          (o) => (o.get("name") || o.get("label")) === e.target.value
        )
      },
      context
    );
  };
  return /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsxs("div", { className: "c-DropDown w-100 mb-3", children: [
    label && /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsx("label", { className: "c-DropDown__label label", htmlFor: id, children: label }),
    /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsx(
      "select",
      {
        id,
        className: "c-DropDown__select form-component px-3 py-2 w-100",
        onChange: onLocalChange,
        children: options.map((option) => /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsx("option", { value: option.get("name") || option.get("label"), children: option.get("label") }))
      }
    )
  ] });
};
const Filters = (props) => {
  const { config, data, initialFilters, onFilterChange } = props;
  const [filters, setFilters] = require$$0.useState(
    initialFilters
  );
  const total = data && data.length;
  const countOptions = helper.Helper.generateSlices(
    total || 0,
    config.count || 0,
    "range"
  );
  const onLocalFilterChange = (data2, type) => {
    const filterClone = filters ? { ...filters } : {};
    const existing = filterClone[type];
    if (existing && type !== "count" && data2 && type === "alphabet" && "value" in existing && "value" in data2 && existing.value === data2.value) {
      filterClone[type] = void 0;
    } else {
      filterClone[type] = data2;
    }
    setFilters(filterClone);
    onFilterChange && onFilterChange(filterClone);
  };
  return /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsxs("div", { className: "c-Filters p-3 h-100 overflow-auto", children: [
    /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsx("h4", { children: "Filters" }),
    "count" in config && /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsx(
      DropDown,
      {
        context: "count",
        id: "icon-range-selector",
        label: "Select a range",
        options: countOptions,
        onSelectionChanged: (data2) => {
          onLocalFilterChange(data2, "count");
        }
      }
    ),
    config.alphabet && /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsx(AlphabetFilter, { onSelectionChanged: onLocalFilterChange }),
    "categories" in config && /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsx(
      CategoryFilter,
      {
        categoryGroups: helper.Helper.generateCategories(data, config.categories),
        onCategorySelection: (data2, category) => {
          const categories = filters && filters.categories ? filters.categories : /* @__PURE__ */ new Map();
          "set" in categories && categories.set(category, data2);
          onLocalFilterChange(categories, "categories");
        }
      }
    )
  ] });
};
module.exports = Filters;
