import { j as jsxRuntimeExports } from "./jsx-runtime-5a50c612.js";
import SelectionPill from "./SelectionPill.js";
import "./Pagination.component-e51641c8.js";
import "react";
import "./DropDown.component-a587c682.js";
import "./Icon.component-8d9e081f.js";
import "./TextInput.component-90c3896c.js";
import "./Widget.component-0498ea87.js";
import "./Uploader.component-051d89e9.js";
import "./TypeAhead.component-af984bb3.js";
import "./Tooltip.component-6cbc4022.js";
import "./Toolbar.component-c4f9504f.js";
import "./Toggle.component-ad6ec6c6.js";
import "./TimeEntry.component-ad86343e.js";
import "./Mask.component-f2e0e458.js";
import "./TextArea.component-53d30f24.js";
import "./Tag.component-811c0aa3.js";
import "./Table.component-d6acf16a.js";
import "./TabBar.component-922755ff.js";
import "./Tab.component-3a3be8cd.js";
import "./Splitter.component-5fa6d66b.js";
import "./Slider.component-33b804b3.js";
import "./Select.component-9c997faa.js";
import "./SegmentedControl.component-d66c5bb4.js";
import "./SecondaryNavigation.component-f82f0403.js";
import "./SearchField.component-06dbf7fe.js";
import "./Radio.component-002fb44f.js";
import "./ProgressStepper.component-a0a5ead6.js";
import "./ProgressIndicator.component-02c23e20.js";
import "./Popover.component-e992934d.js";
import "./Pillbox.component-8ed307ec.js";
import "./Pill.component-9ed1ab12.js";
import "./Picklist.component-4e107b0b.js";
import "./NumericStepper.component-dc827b3b.js";
import "./Notification.component-1a023d74.js";
import "./Modal.component-043bb80f.js";
import "./List.component-940f3c3c.js";
import "./Link.component-2693f973.js";
import "./LearnLink.component-17ee74cf.js";
import "./LabelValue.component-e5e2a27d.js";
import "./InlineMenu.component-9f8bb4dc.js";
import "./FacetedFilter.component-905ac3ed.js";
import "./Dialog.component-6a6bd00e.js";
import "./DetailsPanel.component-912c04f0.js";
import "./PickerRange.component-2575d561.js";
import "./Calendar.component-462a3b9f.js";
import "./DateRange.component-9fc01729.js";
import "./DatePicker.component-fb379443.js";
import "./DateInput.component-c163494b.js";
import "./ContextMenu.component-20b08112.js";
import "./ColorPicker.component-90ff5e5b.js";
import "./Checkbox.component-725133d2.js";
import "./Button.component-61b110ef.js";
import "./BrowserIncompatibility.component-25fc888f.js";
import "./Breadcrumb.component-5e037f9a.js";
import "./Badge.component-842b16b5.js";
import "./Alert.component-17cbac85.js";
import "./SelectionPill.component-b6018daa.js";
const Pagination = (props) => {
  const { data, maxPillsToShow } = props;
  let selectorBlockRenders;
  if (data) {
    if (maxPillsToShow && data.length > maxPillsToShow) {
      selectorBlockRenders = [];
      selectorBlockRenders.push(
        /* @__PURE__ */ jsxRuntimeExports.jsx(
          SelectionPill,
          {
            classes: "me-2 border-radius",
            data: /* @__PURE__ */ new Map([["label", "<"]]),
            onClick: () => {
            }
          }
        )
      );
      selectorBlockRenders = selectorBlockRenders.concat(
        data.slice(0, maxPillsToShow).map((obj, index, arr) => /* @__PURE__ */ jsxRuntimeExports.jsx(
          SelectionPill,
          {
            classes: index === 0 ? "border-left-radius" : index === arr.length - 1 ? "border-right-radius" : "",
            data: obj,
            onClick: () => {
            }
          }
        ))
      );
      selectorBlockRenders.push(
        /* @__PURE__ */ jsxRuntimeExports.jsx(
          SelectionPill,
          {
            classes: "ms-2 border-radius",
            data: /* @__PURE__ */ new Map([["label", ">"]]),
            onClick: () => {
            }
          }
        )
      );
    } else {
      selectorBlockRenders = data.map((obj) => /* @__PURE__ */ jsxRuntimeExports.jsx(SelectionPill, { data: obj, onClick: () => {
      } }));
    }
  }
  return /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "c-Pagination", children: selectorBlockRenders });
};
export {
  Pagination as default
};
